var debug = require('debug')('node-express-base')

var libs = process.cwd() + '/libs/'
var config = require(libs + 'config')
var log = require(libs + 'log')(module)
var app = require(libs + 'app')

//authentication
var passport = require('passport');
var jwt = require('jwt-simple');

app.set('port', process.env.PORT || config.get('port') || 3000)

// Use the passport package 
app.use(passport.initialize());

var server = app.listen(app.get('port'), function() {
  debug('Express server listening on port ' + server.address().port)
  log.info('Express server listening on port ' + server.address().port)
})
